    var pageIndex = 1
	var pageCount = 0;
	var articleID = 1;
	var setPass = "false";
	var CommContent = "";
	var CommAuthor = "";
	var CommArticle = 1;
	
    $(function(){
		articleID = $("#articleID").val();//评论文章的ID
		setPass = $("#setPass").val();//评论审核通过后显示
		GetPageCount();//计算articleID评论记录的分页总数
		pageCount = parseInt($("#pagecount").val());//分页总数放到变量pageCount里
		//如果没有记录，则隐藏所有按钮
		if(pageCount<1){
			$("#first").hide();
			$("#previous").hide();
			$("#next").hide();
			$("#last").hide();
			$("#pageinfo").hide();
		}
		$("#load").hide();//隐藏loading提示
        
        bind();//绑定第一页的数据
        
        //第一页按钮click事件
        $("#first").click(function(){
            pageIndex = 1;
            bind();    
        });
        
        //上一页按钮click事件
        $("#previous").click(function(){
            pageIndex -= 1;
            if(pageIndex <= 1)
            {
                pageIndex = 1;
            }
            bind();    
        });
        
        //下一页按钮click事件
        $("#next").click(function(){
            pageIndex += 1;
            if(pageIndex>=pageCount)
            {
                pageIndex = pageCount;
            }
            bind(pageIndex);            
        });
        
        //最后一页按钮click事件
        $("#last").click(function(){
            pageIndex = pageCount;
            bind(pageIndex);            
        });     

		//添加按钮click事件
        $("#CommSubmitButton").click(function(){
			CommContent = $("#CommContent").val();
			CommAuthor = $("#CommAuthor").val();
			CommArticleID = $("#CommArticleID").val();
			if($("#CommContent").val() != null && $("#CommContent").val() != ""){
				addComment();
			}
			else{
				alert("评论内容不允许为空");
			}
			$("#CommContent").val("");
        });
    });
    
    //AJAX方法取得数据并显示到页面上
    function bind()
    {
        $("#load").show();
        $.ajax({
            type: "get",//使用get方法访问后台
            dataType: "text",//返回text格式的数据
            url: "commentHandler.ashx",//要访问的后台地址
            data: "pageIndex=" + pageIndex +"&articleID="+articleID+"&setPass="+setPass,//要发送的数据
            complete :function(){$("#load").hide();},//AJAX请求完成时隐藏loading提示
            success: function(msg){//msg为返回的数据，在这里做数据绑定
				$("#datas").html(msg);
				SetPageInfo();
            }
        });
    }
    
    function ChangeDate(date)
    {
		return date.replace("-","/").replace("-","/");
    }
    
    //设置第几页/共几页的信息
    function SetPageInfo()
    {
		$("#pageinfo").html("第"+pageIndex + "页/共" + pageCount+"页");
    }
    
    //AJAX方法取得分页总数
    function GetPageCount()
    {		
        $.ajax({
            type: "get",
            dataType: "text",
            url: "commentHandler.ashx",
            data: "getPageCount=1&articleID="+articleID+"&setPass="+setPass,
            async: false,
            success: function(msg){
				$("#pagecount").val(msg);
            }
        });
    }
	
	 //AJAX方法添加记录
    function addComment()
    {	
        $.ajax({
            type: "post",
            dataType: "text",
            url: "commentHandler.ashx",
            data: "CommContent="+CommContent+"&CommAuthor="+CommAuthor+"&CommArticleID="+CommArticleID,
            async: false,
            success: function(msg){
				pageIndex = 1;
				bind();
				$("#first").show();
				$("#previous").show();
				$("#next").show();
				$("#last").show();
				$("#pageinfo").show();
				alert(msg);
            }
        });
    }